/**
 * 2021-12-16： 目前uniapp vue3版本暂时没有可用的vueRouter组件， 无法使用动态路由， 暂时只能使用参数传值的方式导入TOKEN。
 * //TODO 后期支持了router可以采用 history模式 + path动态参数。  
 *
 **/
{
	"pages": [ //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
		{
			"path": "pages/index/index",
			"style": {
				"navigationBarTitleText": "收银台"
			}
		},
		{
			"path": "pages/hub/lite"
		},
		{
			"path": "pages/hub/default",
			"style": {
				"navigationBarTitleText": "跳转中"
			}
		},
		{
			"path": "pages/hub/h5",
			"style": {
				"navigationBarTitleText": "跳转中"
			}
		},
		{
			"path": "pages/error/index",
			"style": {
				"navigationBarTitleText": "提示"
			}
		},
		{
			"path": "pages/payway/index",
			"style": {
				"navigationBarTitleText": "收银台",
				"navigationBarBackgroundColor": "#FFFFFF"
			}
		},
		{
			"path": "pages/oauth2/callback",
			"style": {
				"navigationBarTitleText": "跳转中"
			}
		},
		{
			"path": "pages/paySuccess/paySuccess",
			"style": {
				"navigationBarTitleText": "提示"
			}
		},
		{
			"path": "pages/paySuccess/redSuccess",
			"style": {
				"navigationBarTitleText": "提示",
				"navigationStyle": "custom"
			}
		},
		{
			"path": "pages/pay/index",
			"style": {
				"navigationBarTitleText": "收银台"
			}
		},
		{
			"path": "pages/pay/lite",
			"style": {
				"navigationBarTitleText": "收银台"
			}
		},
		{
			"path": "pages/pay/result",
			"style": {
				"navigationBarTitleText": "收银台"
			}
		},
		{
			"path": "pages/payment/index",
			"style": {
				"navigationBarTitleText": "收银台"
			}
		},
		{
			"path": "pages/payment/lite",
			"style": {
				"navigationBarTitleText": "收银台"
			}
		},
		{
			"path": "pages/payment/result",
			"style": {
				"navigationBarTitleText": "收银台"
			}
		},
		{
			"path": "pages/H5/H5",
			"style": {
				"navigationStyle": "custom",
				"mp-alipay": {
					"transparentTitle": "always",
					"titlePenetrate": "YES",
					"defaultTitle": " "
				}
			}
		}

		, {
			"path": "pages/route/index",
			"style": {
				"navigationBarTitleText": "交易支付",
				"enablePullDownRefresh": false
			}

		}
	],
	"subPackages": [{
		"root": "pageMember",
		"pages": [{
				"path": "payMember/payMember",
				"style": {
					"navigationBarTitleText": "快捷支付"
				}
			},
			{
				"path": "memberInfo/memberInfo",
				"style": {
					"navigationBarTitleText": "会员中心",
					"enablePullDownRefresh": true
				}
			},
			{
				"path": "memberRecord/memberRecord",
				"style": {
					"navigationBarTitleText": "充值/消费记录",
					"navigationBarTextStyle": "black",
					"navigationBarBackgroundColor": "#fff"
				}
			}
		]
	}],
	"globalStyle": {
		// #ifdef H5
		"navigationStyle": "custom",
		// #endif
		"navigationBarTitleText": " ",
		"navigationBarTextStyle": "white",
		"navigationBarBackgroundColor": "#F5F7FA",
		"backgroundColor": "#F5F7FA"
	}
}